import { Command, Mark } from '@tiptap/core';
export interface HighlightOptions {
    multicolor: boolean;
    HTMLAttributes: {
        [key: string]: any;
    };
}
export declare const inputRegex: RegExp;
export declare const pasteRegex: RegExp;
export declare const Highlight: Mark<HighlightOptions, {
    /**
     * Set a highlight mark
     */
    setHighlight: (attributes?: {
        color: string;
    } | undefined) => Command;
    /**
     * Toggle a highlight mark
     */
    toggleHighlight: (attributes?: {
        color: string;
    } | undefined) => Command;
    /**
     * Unset a highlight mark
     */
    unsetHighlight: () => Command;
}>;
declare module '@tiptap/core' {
    interface AllExtensions {
        Highlight: typeof Highlight;
    }
}
